<?php

namespace App\Console\Commands;
use Illuminate\Console\Command;
use App\Models\DomainAlias;
use App\Models\CronLogs;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Log;

class CreateDomainAlias extends Command {
    protected $signature = 'create:domain-alias';
    protected $description = 'This is my custom command that runs every minute';

    public function handle() {
        $pendingAlias = DomainAlias::where('status', 'Pending')
                ->latest()
                ->limit(40)
                ->get();

        $client = new Client();
        $apiUrl = 'https://mail.lpdynamix.com/api/v1/svcAliasAdmin/AddAlias';

        foreach($pendingAlias as $item) {
            $body = [
                'AuthUserName' => "admin",
                'AuthPassword' => "Xq65TKmyfG73b",
                'DomainName' => $item->name,
                'AliasName' => $item->name,
                'Addresses' => $item->resolvesTo,
            ];

            // Send POST request to the API
            $response = $client->post($apiUrl, [
                'headers' => [
                    'Content-Type' => 'application/json',
                ],
                'json' => $body,
            ]);
            $responseBody = json_decode($response->getBody(), true);

            if ($response->getStatusCode() === 200) {
                $item->status = 'Created';
            } else {
                $item->status = 'Issue Generated';
            }
            $item->save();
            CronLogs::create([
                'domainAliasId' => $item->id,
                'requestUrl' => $apiUrl,
                'requestBody' => json_encode($body, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT),
                'requestHeader' => json_encode(['Content-Type' => 'application/json']),
                'responseStatus' => $response->getStatusCode(),
                'responseBody' => $responseBody,
            ]);
        }
    }
}