<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Models\DomainAlias;
use App\Models\UploadedFile;

class DomainAliasController extends Controller {
	public function listDomainAlias() {
		try {
      $data['results'] = DomainAlias::join('uploaded_files', 'domain_alias.uploadedFilesId', '=', 'uploaded_files.id')
        ->select('domain_alias.*', 'uploaded_files.fileName', 'uploaded_files.uploadedAt')
        ->get();

			$data['pageTitle'] = 'Domain Alias';
			return view('domain-alias.list', compact('data'));
		} catch(\Exception $e) {}		
	}

  public function domainAliasCreate(Request $request) {
    try {
      $data['pageTitle'] = 'Create Domain Alias';
      return view('domain-alias.create', compact('data'));
    } catch(\Exception $e) {}
  }

  public function domainAliasUploadCsv(Request $request) {
    try {
      // Validate the uploaded file
      $request->validate([
        'csv_file' => 'required|file|mimes:csv,txt|max:2048',
      ]);

      // Store the file on the server
      $file = $request->file('csv_file');
      $fileName = time() . '-' . $file->getClientOriginalName();
      $filePath = $file->storeAs('uploads/', $fileName, 'public'); 

      $uploadedFile = UploadedFile::create([
        'fileName' => $fileName,
        'uploadedAt' => now(),
      ]);

      // Open the file and read its contents
      $fileHandle = fopen($file, 'r');

      // Skip the header if your CSV file has one
      $header = fgetcsv($fileHandle);

      // Loop through the file and insert data into the database
      while (($row = fgetcsv($fileHandle)) !== FALSE) {
        DomainAlias::create([
          'name' => $row[0],
          'resolvesTo' => $row[1],
          'uploadedFilesId' =>  $uploadedFile->id
        ]);
      }

      fclose($fileHandle);
      return redirect()->route('domainAlias');
    } catch(\Exception $e) {}
  }
}