<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('email')->unique();
            $table->string('mobile')->unique();
            $table->string('username')->unique();
            $table->string('password');
            $table->string('profile')->nullable();
            $table->tinyInteger('isDeleted')->default(0)->comment('1 = User deleted, 0 = User was not deleted');
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->integer('createdBy');
            $table->integer('updatedBy');
            $table->timestamps();

            $table->index('email');
            $table->index('username');
            $table->index('password');
            $table->index('isDeleted');
        });
    }

    public function down() {
        Schema::dropIfExists('users');
    }
};