@extends('layout.app')

@section('content')
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Domain Alias</h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
          <li class="breadcrumb-item active">Domain Alias</li>
        </ol>
        <a href="{{ route('domainAliasCreate') }}" class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Upload CSV</a>
      </div>
    </div>
  </div>

  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th>Domain Alias Name</th>
                <th>Resolves To</th>
                <th>Domain Alias Status</th>
                <th>Uploaded File</th>
                <th>Uploaded At</th>
                <th>Action</th>
              </tr>
            </thead>

            <tbody>
              @forelse ($data['results'] as $result)
                <tr>
                  <td>{{ $result->name }}</td>
                  <td style="max-width:500px">{{ $result->resolvesTo }}</td>
                  <td>
                    @if($result->status == 'Pending')
                    <div class="label label-table label-info">{{ $result->status }}</div>
                    @elseif($result->status == 'Created')
                      <div class="label label-table label-success">{{ $result->status }}</div>
                    @elseif($result->status == 'Issue Generated')
                      <div class="label label-table label-danger">{{ $result->status }}</div>
                    @endif
                  </td>
                  <td>
                    <a href="{{ asset('storage/uploads/' . $result->fileName) }}" download>
                      <i class="fa fa-download"></i>
                      {{ $result->fileName }}
                    </a>
                  </td>
                  <td>{{ date('M d, Y', strtotime($result->uploadedAt)) }}</td>
                  <td>
                    <div class="btn-group">
                      <button type="button" class="btn btn-success dropdown-toggle" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="ti-settings"></i>
                      </button>
                      <div class="dropdown-menu">
                        <a class="dropdown-item" href="javascript:void(0)">Delete</a>
                      </div>
                    </div>
                  </td>
                </tr>
              @empty
                <tr>
                  <td colspan="6" style="text-align:center">No Records Found</td>
                </tr>
              @endforelse
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
@endsection