@php($new_time = time())
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/images/favicon.png') }}">
  <title>{{ $data['pageTitle'] }}</title>
  
  <link href="{{ asset('css/style.min.css') }}?t={{ $new_time }}" rel="stylesheet">
	<link href="{{ asset('css/jquery.toast.css') }}" rel="stylesheet">
	<link href="{{ asset('css/sweetalert2.min.css') }}" rel="stylesheet">
	<link href="{{ asset('css/tab-page.css') }}" rel="stylesheet">
	<link href="{{ asset('css/dataTables.bootstrap4.css') }}" rel="stylesheet">
  <link href="{{ asset('css/responsive.dataTables.min.css') }}" rel="stylesheet">
  <link href="{{ asset('css/bootstrap-wysihtml5.css') }}" rel="stylesheet">
	<link href="{{ asset('css/custom-style.css') }}?t={{ $new_time }}" rel="stylesheet">

  <style>
    .topbar .top-navbar .navbar-header {
      min-width: 230px;
    }
  </style>

  @yield('css-style')
</head>

<body class="horizontal-nav skin-megna fixed-layout">
  <div class="preloader">
    <div class="loader">
      <div class="loader__figure"></div>
      <p class="loader__label">{{ config('constants.COMPANY_NAME') }}</p>
    </div>
  </div>
    
  <div id="main-wrapper">
    @include('layout/topbar')
    @include('layout/sub_header')
                
    <div class="page-wrapper">
      <div class="container-fluid">
        @yield('content')
        @include('layout/right_sidebar')
      </div>
    </div>
  </div>

  <div class="modal fade bs-example-modal-lg" id="loaderModal" tabindex="-1" role="dialog" aria-labelledby="loaderModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog modal-dialog-centered modal-lg">
      <div class="modal-content" style="background: transparent; border: 0">
        <div class="modal-body text-center">
          <div class="spinner-border text-white" role="status"><span class="sr-only">Loading...</span></div>
        </div>
      </div>
    </div>
  </div>
</div>
  
  @include('layout/footer')
    
  <script src="{{ asset('js/jquery.min.js') }}"></script>
  <script src="{{ asset('js/bootstrap.bundle.min.js') }}"></script>
	<script src="{{ asset('js/jquery.toast.js') }}"></script>
	<script src="{{ asset('js/sweetalert2.min.js') }}"></script>
	<script src="{{ asset('js/perfect-scrollbar.jquery.min.js') }}"></script>
	<script src="{{ asset('js/waves.js') }}"></script>
	<script src="{{ asset('js/sidebarmenu.js') }}"></script>
	<script src="{{ asset('js/sticky-kit.min.js') }}"></script>
	<script src="{{ asset('js/jquery.sparkline.min.js') }}"></script>
  <script src="{{ asset('js/theme-custom.js') }}"></script>
	<script src="{{ asset('js/jquery.peity.min.js') }}"></script>
	<script src="{{ asset('js/jquery.peity.init.js') }}"></script>
	<script src="{{ asset('js/jquery.inputmask.bundle.min.js') }}"></script>
	<script src="{{ asset('js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ asset('js/dataTables.responsive.min.js') }}"></script>
	<script src="{{ asset('js/custom-script.js') }}"></script>

  <script>
    document.addEventListener('DOMContentLoaded', function() {
      var copyLinkBtn = document.getElementById('copyLinkBtn');
      copyLinkBtn.addEventListener('click', function(event) {
        event.preventDefault(); // Prevent the default action (opening the link in a new tab)

        // Get the href attribute of the link
        var linkToCopy = copyLinkBtn.getAttribute('href');

        // Create a temporary input element
        var tempInput = document.createElement('input');
        tempInput.style.position = 'absolute';
        tempInput.style.left = '-1000px';
        tempInput.style.top = '-1000px';
        tempInput.value = linkToCopy;
        document.body.appendChild(tempInput);

        // Select and copy the link
        tempInput.select();
        document.execCommand('copy');
        document.body.removeChild(tempInput);

        // Show a confirmation popup or toast message (you can customize this part)
        alert('Link copied to clipboard: ' + linkToCopy);
      });
    });
  </script>


  <script>
    $(function() {
			$(".preloader").fadeOut();
		});
		
		$(function() {
			$('[data-bs-toggle="tooltip"]').tooltip()
		});

    $('#globalSearch').change(function() {
      var length = $('#globalSearch').val().length;
      if (length >= 3) {
        window.location.href = "{{ url('global-search') }}" + '/' + $('#globalSearch').val();
      }
    });
  </script>
  @yield('js-script')
  @stack('js-scripts')
</body>
</html>