<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">

	<link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/images/favicon.png') }}">
	<title>{{ $data['pageTitle'] }}</title>
	
	<link href="{{ asset('css/login-register-lock.css') }}" rel="stylesheet">
	<link href="{{ asset('css/style.min.css') }}" rel="stylesheet">
	<link href="{{ asset('css/jquery.toast.css') }}" rel="stylesheet">
	<link href="{{ asset('css/custom-style.css') }}" rel="stylesheet">
</head>

<body class="skin-default card-no-border">
	<div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label">{{ config('constants.COMPANY_NAME') }}</p>
		</div>
	</div>
    
	<section id="wrapper">
		<div class="login-register" >
			
			<div class="login-box card">
				<div class="rig_logo">
				<!-- <img src="{{ asset('assets/images/WF-Black.png') }}" /> -->
				<h2>David Email Alias</h2>
			</div>
				<div class="card-body">
					<form class="form-horizontal form-material" id="loginForm">
						@csrf
						<h3 class="text-center m-b-20" style="font-weight: 500;margin-bottom: 25px;">Admin Sign In</h3>
						<div class="form-group ">
							<div class="col-xs-12">
								<input class="form-control" type="text" required placeholder="Username" id="username" name="username">
							</div>
						</div>
						<div class="form-group">
							<div class="col-xs-12">
								<input class="form-control" type="password" required placeholder="Password" id="password" name="password"> 
							</div>
						</div>
						<div class="form-group row">
							<div class="col-md-12">
								<div class="d-flex no-block align-items-center">
									<div class="ms-auto">
										<a href="javascript:void(0)" id="to-recover" class="text-muted"><i class="fas fa-lock m-r-5"></i> Forgot password?</a> 
									</div>
								</div>
							</div>
						</div>
						<div class="form-group text-center" style="margin-bottom: 10px;">
							<div class="col-xs-12">
								<button class="btn w-100 btn-lg btn-info btn-rounded text-white" type="button" id="logInButton">Log In</button>
							</div>
						</div>
					</form>
					<form class="form-horizontal" id="recoverForm">
						@csrf
						<div class="form-group ">
							<div class="col-xs-12">
								<h3>Recover Password</h3>
								<p class="text-muted">Enter your Email and instructions will be sent to you! </p>
							</div>
						</div>
						<div class="form-group ">
							<div class="col-xs-12">
								<input class="form-control" type="email" required placeholder="Email" id="forgotEmail" name="email"> 
							</div>
						</div>
						<div class="form-group text-center m-t-20">
							<div class="col-xs-12">
								<button class="btn btn-primary btn-lg w-100 text-uppercase waves-effect waves-light" type="button" id="resetButton">Reset</button>
							</div>
						</div>
						<div class="form-group m-b-0">
							<div class="col-sm-12 text-center">
								<p>
									Remember Password? 
									<a href="javascript:void(0)" id="to-login" class="text-info m-l-5"><b>Sign In</b></a>
								</p>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</section>
    
	<script src="{{ asset('js/jquery.min.js') }}"></script>
	<script src="{{ asset('js/bootstrap.bundle.min.js') }}"></script>
	<script src="{{ asset('js/jquery.toast.js') }}"></script>
	<script src="{{ asset('js/custom-script.js') }}"></script>
	
	<script type="text/javascript">
		$('#resetButton').on('click', function() {
			let forgotEmail = $('#forgotEmail').val().trim();
			var isValid = true;

			if(forgotEmail == '') {
				isValid = false;
				loadToast('Email should not be empty !', 'Oops...', 'error');
			}

			if(isValid === true) {
				//showLoader();
				var formData = new FormData($('#recoverForm')[0]);
				$.ajax({
					type: 'POST',
          url: "{{ route('checkUserEmail') }}",
					data: formData,
					processData: false,
					contentType: false,
          dataType: "json",
          success: function (obj) {
						hideLoader();
            if(obj.statusCode == 200) {
              loadToast(obj.message, 'Done!');
            } else {
              loadToast(obj.error, 'Oops...', 'error');
            }
          }
        });
			}
		});

		$(function() {
			$(".preloader").fadeOut();
		});
		
		$(function() {
			$('[data-bs-toggle="tooltip"]').tooltip()
		});
		
		$('#to-recover').on("click", function() {
			$("#loginForm").slideUp();
			$("#recoverForm").fadeIn();
		});

		$('#to-login').on("click", function() {
			$("#loginForm").slideDown();
			$("#recoverForm").fadeOut();
		});

		$('#logInButton').click(function() {
			let username = $('#username').val().trim();
			let password = $('#password').val().trim();
			var isValid = true;

			if(username == '') {
				isValid = false;
				loadToast('Username should not be empty !', 'Oops...', 'error');
			}

			if(password == '') {
				isValid = false;
				loadToast('Password should not be empty !', 'Oops...', 'error');
			}

			if(isValid === true) {
				//showLoader();
				var formData = new FormData($('#loginForm')[0]);
				$.ajax({
					type: 'POST',
          url: "{{ route('checkLogin') }}",
					data: formData,
					processData: false,
					contentType: false,
          dataType: "json",
          success: function (obj) {
						hideLoader();
            if(obj.statusCode == 200) {
              loadToast(obj.message, 'Done!');
              setTimeout(function() {
                window.location.href = "{{ route('dashboard') }}";
              }, 3600);
            } else {
              loadToast(obj.error, 'Oops...', 'error');
            }
          }
        });
			}
		});
	</script>
</body>
</html>