<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\DomainAliasController;

Route::controller(UserController::class)->group(function () {
    Route::post('/check-login', 'checkLogin')->name('checkLogin');
    Route::post('/check-user-email', 'checkUserEmail')->name('checkUserEmail');
    Route::get('/reset-password/{token}', 'showResetPasswordForm')->name('showResetPasswordForm');
    Route::post('/reset-password', 'submitResetPasswordForm')->name('submitResetPasswordForm');
    Route::get('/', 'login')->name('login');
});

Route::middleware([checkLoginAuth::class])->group(function () { 
    Route::controller(DomainAliasController::class)->group(function () {
        Route::get('/domain-alias', 'listDomainAlias')->name('domainAlias');
        Route::get('/domain-alias/create', 'domainAliasCreate')->name('domainAliasCreate');
        Route::post('/domain-alias/upload-csv', 'domainAliasUploadCsv')->name('domainAliasUploadCsv');
        // Route::get('/domain-alias/{id}/edit', 'edit')->name('domainAliasEdit');
        // Route::post('/domain-alias', 'store')->name('domainAliasStore');
        // Route::put('/domain-alias/{id}', 'update')->name('domainAliasUpdate');
        // Route::delete('/domain-alias/{id}', 'destroy')->name('domainAliasDestroy');
    });

    // Dashboard
    Route::controller(DashboardController::class)->group(function () {
        Route::get('/dashboard', 'home')->name('dashboard');
    });

    Route::controller(UserController::class)->group(function () {
        Route::get('/my-profile', 'myProfile')->name('myProfile');
        Route::get('/change-password', 'changePassword')->name('changePassword');
        Route::get('/logout', 'logout')->name('logout');
        Route::put('/update-profile','updateProfile')->name('updateProfile');
        Route::post('/save-change-password', 'saveChangePassword')->name('saveChangePassword');
    });
});