<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">

	<link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
	<title><?php echo e($data['pageTitle']); ?></title>
	
	<link href="<?php echo e(asset('css/login-register-lock.css')); ?>" rel="stylesheet">
	<link href="<?php echo e(asset('css/style.min.css')); ?>" rel="stylesheet">
	<link href="<?php echo e(asset('css/jquery.toast.css')); ?>" rel="stylesheet">
	<link href="<?php echo e(asset('css/custom-style.css')); ?>" rel="stylesheet">
</head>

<body class="skin-default card-no-border">
	<div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label"><?php echo e(config('constants.COMPANY_NAME')); ?></p>
		</div>
	</div>
    
	<section id="wrapper">
		<div class="login-register" style="background-image:url(<?php echo e(asset('assets/images/login-register.jpg')); ?>);">
			<div class="login-box card">
				<div class="card-body">
					<form class="form-horizontal" id="resetPassword">
						<?php echo csrf_field(); ?>
						<input type="hidden" name="token" value="<?php echo e($data['token']); ?>">
						<div class="form-group ">
							<div class="col-xs-12">
								<h3>Reset Password</h3>					
							</div>
						</div>
						<div class="form-group ">
							<div class="col-xs-12">
								<input class="form-control" type="email" required placeholder="Email" id="email" name="email"> 
							</div>
						</div>
						<div class="form-group ">
							<div class="col-xs-12">
								<input class="form-control" type="password" required placeholder="Password" id="password" name="password"> 
							</div>
						</div>
            			<div class="form-group ">
							<div class="col-xs-12">
								<input class="form-control" type="password" required placeholder="Confirm Password" id="password_confirmation" name="password_confirmation"> 
							</div>
						</div>
						<div class="form-group text-center m-t-20">
							<div class="col-xs-12">
								<button class="btn btn-primary btn-lg w-100 text-uppercase waves-effect waves-light" type="button" id="submitpassword">Submit</button>
							</div>
						</div>						
					</form>
				</div>
			</div>
		</div>
	</section>
    
	<script src="<?php echo e(asset('js/jquery.min.js')); ?>"></script>
	<script src="<?php echo e(asset('js/bootstrap.bundle.min.js')); ?>"></script>
	<script src="<?php echo e(asset('js/jquery.toast.js')); ?>"></script>
	<script src="<?php echo e(asset('js/custom-script.js')); ?>"></script>
	
	<script type="text/javascript">
		$('#submitpassword').on('click', function() {
			let email = $('#email').val().trim();
			let password = $('#password').val().trim();
			let confirmpassword = $('#password_confirmation').val().trim();
			
			var isValid = true;

			if(email == '') {
				isValid = false;
				loadToast('Email should not be empty !', 'Oops...', 'error');
			}
			
			if(password == '') {
				isValid = false;
				loadToast('Password should not be empty !', 'Oops...', 'error');
			}
			
			if(confirmpassword == '') {
				isValid = false;
				loadToast('Confirm Password should not be empty !', 'Oops...', 'error');
			}
			
			if(isValid === true) {
				//showLoader();
				var formData = new FormData($('#resetPassword')[0]);
				$.ajax({
					type: 'POST',
					url: "<?php echo e(route('submitResetPasswordForm')); ?>",
					data: formData,
					processData: false,
					contentType: false,
					dataType: "json",
					success: function (obj)  {
						hideLoader();
						$('#email').val('');
						$('#password').val('');
						$('#password_confirmation').val('');
						if(obj.statusCode == 200) {
							loadToast(obj.message, 'Your password has been changed!');
						} else {
							loadToast(obj.error, 'Oops...', 'error');
						}
					}
				});
			}
		});

		$(function() {
			$(".preloader").fadeOut();
		});
		
		$(function() {
			$('[data-bs-toggle="tooltip"]').tooltip();
		});
	</script>
</body>
</html><?php /**PATH C:\xampp\htdocs\david-email-alias\resources\views/forgot_password_link.blade.php ENDPATH**/ ?>